Upstream information

CVE-2016-3945 at MITRE

Description

Multiple integer overflows in the (1) cvt_by_strip and (2) cvt_by_tile functions in the tiff2rgba tool in LibTIFF 4.0.6 and earlier, when -b mode is enabled, allow remote attackers to cause a denial of service (crash) or execute arbitrary code via a crafted TIFF image, which triggers an out-of-bounds write.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 974614 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libtiff5 >= 4.0.6-31.1
  • libtiff5-32bit >= 4.0.6-31.1
  • tiff >= 4.0.6-31.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1461
SUSE Linux Enterprise Desktop 12 SP3
  • libtiff5 >= 4.0.7-43.1
  • libtiff5-32bit >= 4.0.7-43.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libtiff5-32bit
SUSE Linux Enterprise Server 11 SP4
  • libtiff3 >= 3.8.2-141.168.1
  • libtiff3-32bit >= 3.8.2-141.168.1
  • libtiff3-x86 >= 3.8.2-141.168.1
  • tiff >= 3.8.2-141.168.1
Patchnames:
slessp4-tiff-12785
SUSE Linux Enterprise Server 12 SP1
  • libtiff5 >= 4.0.6-31.1
  • libtiff5-32bit >= 4.0.6-31.1
  • tiff >= 4.0.6-31.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1461
SUSE Linux Enterprise Server 12 SP3
  • libtiff5 >= 4.0.7-43.1
  • libtiff5-32bit >= 4.0.7-43.1
  • tiff >= 4.0.7-43.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libtiff5-32bit
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtiff-devel >= 3.8.2-141.168.1
  • libtiff-devel-32bit >= 3.8.2-141.168.1
  • tiff >= 3.8.2-141.168.1
Patchnames:
sdksp4-tiff-12785
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libtiff-devel >= 4.0.6-31.1
  • tiff >= 4.0.6-31.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1461
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libtiff-devel >= 4.0.7-43.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libtiff-devel
openSUSE 13.1
  • libtiff-devel >= 4.0.6-8.25.1
  • libtiff-devel-32bit >= 4.0.6-8.25.1
  • libtiff5 >= 4.0.6-8.25.1
  • libtiff5-32bit >= 4.0.6-8.25.1
  • libtiff5-debuginfo >= 4.0.6-8.25.1
  • libtiff5-debuginfo-32bit >= 4.0.6-8.25.1
  • tiff >= 4.0.6-8.25.1
  • tiff-debuginfo >= 4.0.6-8.25.1
  • tiff-debugsource >= 4.0.6-8.25.1
Patchnames:
2016-1122
openSUSE Leap 42.1
  • libtiff-devel >= 4.0.6-9.1
  • libtiff-devel-32bit >= 4.0.6-9.1
  • libtiff5 >= 4.0.6-9.1
  • libtiff5-32bit >= 4.0.6-9.1
  • libtiff5-debuginfo >= 4.0.6-9.1
  • libtiff5-debuginfo-32bit >= 4.0.6-9.1
  • tiff >= 4.0.6-9.1
  • tiff-debuginfo >= 4.0.6-9.1
  • tiff-debugsource >= 4.0.6-9.1
Patchnames:
openSUSE-2016-1187
openSUSE Leap 42.2
  • libtiff-devel >= 4.0.6-10.1
  • libtiff5 >= 4.0.6-10.1
  • libtiff5-32bit >= 4.0.6-10.1
  • tiff >= 4.0.6-10.1
Patchnames:
openSUSE Leap 42.2 GA libtiff-devel
openSUSE Leap 42.3
  • libtiff-devel >= 4.0.7-19.3
  • libtiff5 >= 4.0.7-19.3
  • libtiff5-32bit >= 4.0.7-19.3
  • tiff >= 4.0.7-19.3
Patchnames:
openSUSE Leap 42.3 GA libtiff-devel
openSUSE Tumbleweed
  • libtiff-devel >= 4.0.7-1.1
  • libtiff-devel-32bit >= 4.0.7-1.1
  • libtiff5 >= 4.0.7-1.1
  • libtiff5-32bit >= 4.0.7-1.1
  • tiff >= 4.0.7-1.1
Patchnames:
openSUSE Tumbleweed GA libtiff-devel-32bit


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 tiff Released
SUSE Linux Enterprise Desktop 11 SP3 tiff Released
SUSE Linux Enterprise Desktop 11 SP4 tiff Released
SUSE Linux Enterprise Desktop 12 GA tiff Released
SUSE Linux Enterprise Desktop 12 SP1 tiff Released
SUSE Linux Enterprise Desktop 12 SP2 tiff In progress
SUSE Linux Enterprise SDK 11 SP2 tiff Released
SUSE Linux Enterprise SDK 11 SP3 tiff Released
SUSE Linux Enterprise SDK 11 SP4 tiff Released
SUSE Linux Enterprise SDK 12 GA tiff Released
SUSE Linux Enterprise SDK 12 SP1 tiff Released
SUSE Linux Enterprise SDK 12 SP2 tiff In progress
SUSE Linux Enterprise Server 10 SP4 LTSS tiff Already fixed
SUSE Linux Enterprise Server 11 SP1 LTSS tiff Released
SUSE Linux Enterprise Server 11 SP2 tiff Released
SUSE Linux Enterprise Server 11 SP2 LTSS tiff Released
SUSE Linux Enterprise Server 11 SP3 tiff Released
SUSE Linux Enterprise Server 11 SP3 LTSS tiff Released
SUSE Linux Enterprise Server 11 SP4 tiff Released
SUSE Linux Enterprise Server 12 GA tiff Released
SUSE Linux Enterprise Server 12 GA LTSS tiff Released
SUSE Linux Enterprise Server 12 SP1 tiff Released
SUSE Linux Enterprise Server 12 SP2 tiff In progress
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI tiff In progress
SUSE Linux Enterprise Server for SAP 11 SP2 tiff Released
SUSE Linux Enterprise Server for VMWare 11 SP2 tiff Released
SUSE Linux Enterprise Server for VMWare 11 SP3 tiff Released